// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystems;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkMaxLowLevel.MotorType;

import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj.shuffleboard.BuiltInLayouts;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardLayout;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;
import frc.robot.commands.Force1;
import frc.robot.commands.Lancer;

public class Lanceur extends SubsystemBase {
  ShuffleboardTab dashboard = Shuffleboard.getTab("Dashboard");
  ShuffleboardLayout forces = Shuffleboard.getTab("Dashboard")
  .getLayout("limitswitchsgratte", BuiltInLayouts.kList)
  .withSize(2, 7);
  final CANSparkMax lanceur = new CANSparkMax(Constants.lanceur, MotorType.kBrushless); 
  public Lanceur() {
  GenericEntry force1 = forces.addDouble("Force1", Force1.lanceur).GetEntry();
  }

  public void lancer(double vitesse){
    lanceur.set(vitesse);
  }



  // encodeur
  public double distance() {
    return(lanceur.getEncoder().getPosition());

  }
    public void Reset() {
      lanceur.getEncoder().setPosition(0);
  
    }

    public void stop() {
      
    }

  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }

  public void setPID(double p, double i, int d) {
  }
}
